#!/bin/bash

newdir=`dirname $0`

export log_file='/linuxcash/logs/current/gpb_plugin.log'
export status_file=$newdir'/status.txt'
export print_file=$newdir'/print*.txt'

inpas_unit=/linuxcash/cash/paysystems/gpb/artixgpb

echo '\n*************************************************' >> $log_file
echo 'Дата/время операции:' `date` >> $log_file 
echo 'Тип операции:' $1 >> $log_file

olddir=`pwd`
cd $newdir

[ -f $status_file ] && rm -f $status_file
rm -f $print_file

#Команда запуска
comm=""

if [ "$1" = "1" ]; then
    comm=" -o 1 -a $2"         # SALE (оплата)
elif [ "$1" = "2" ]; then
    comm=" -o 3 -a $2"         # RET (возврат)
elif [ "$1" = "3" ]; then
    comm=" -o 2 -a $2 -r $4"   # VOID (отмена)
elif [ "$1" = "4" ]; then
    comm=" -o 4 -a $2"         # EOD (сверка итогов)
else 
    echo '{ "status" : 255, "description" : "Операция не поддерживается" }' > $status_file 
    exit 0
fi

echo "Вызов: $inpas_unit $comm" >> $log_file
$inpas_unit $comm

echo 'Ответ процессинговой системы:' >> $log_file
cat $status_file >> $log_file
cat $print_file >> $log_file
cd $olddir
